Forum Discussion
"Cannot connect to dataset xxx with embed token because XMLA permissions are off"
Hello,
I have an embeded PowerBI report. I added a Power BI Paginated visual to the report. The visual is published in a workspace that has a capcity assigned to it. In the PowerBI severvice the report and paginated visual work fine. when we embed in a webpage, we get the following error:
"Cannot connect to dataset xxx with embed token because XMLA permissions are off"
Any suggestions?
Cheers!
Peter
Hi,
The isssue is probably related to the way you are generating the embed token.
Which endpoint are you using for generating the embed token? Did you include the report ID and dataset ID of the Power BI report, and also the ID of the Paginated report?
Do you have a Power BI dataset as a datasource of the Paginated report? Did you include it's ID as well, and with "xmlaPermissions": "ReadOnly" ?
6 Replies
- AmosHersch
Microsoft Employee
Hi,
The isssue is probably related to the way you are generating the embed token.
Which endpoint are you using for generating the embed token? Did you include the report ID and dataset ID of the Power BI report, and also the ID of the Paginated report?
Do you have a Power BI dataset as a datasource of the Paginated report? Did you include it's ID as well, and with "xmlaPermissions": "ReadOnly" ?
- tcliu1990Frequent Visitor
Hi, AmosHersch
I faced this error too when I try to embed a paginated report. The endpoint I used it
https://api.powerbi.com/v1.0/myorg/GenerateToken, I send request body with {"datasets" :[{"id": "dataset_id"}], reports: [{"id": "report_id"}], "targetWorkspaces": [{"id": "workspace_id"}]}The workspace_id and report_id are got from URL. The dataset_id is got from endpoint GET https://api.powerbi.com/v1.0/myorg/groups/{groupId}/reports/{reportId}/datasources, the string in response of sobe_wowvirtualserver-<DatasetID> .
And my XMLA settings is read-only. What should I check further?
- AmosHersch
Microsoft Employee
tcliu1990 in the generate token request did you follow this example:
Embed Token - Generate Token - REST API (Power BI Power BI REST APIs) | Microsoft Learn
Specifically:
"datasets": [ { "id": "cfafbeb1-8037-4d0c-896e-a46fb27ff229", "xmlaPermissions": "ReadOnly" } ],
Asking because you wrote:
I send request body with {"datasets" :[{"id": "dataset_id"}], reports: [{"id": "report_id"}], "targetWorkspaces": [{"id": "workspace_id"}]}